# Class DeviceDto

Namespace
  adas_core.Domain.Models.DTO

Assembly
  adas-core.Domain.dll

Represents a data transfer object (DTO) used to encapsulate and transfer device-related information between application layers or services.

    public class DeviceDto

Inheritance
  object
  DeviceDto

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### Battery

    public int? Battery { get; set; }

#### Property Value

int?

### Color

    public string? Color { get; set; }

#### Property Value

string

### Connected

    public bool Connected { get; set; }

#### Property Value

bool

### CreatedAt

    public DateTime CreatedAt { get; set; }

#### Property Value

DateTime

### DeviceType

    public DeviceType DeviceType { get; set; }

#### Property Value

DeviceType

### Event

    public DeviceEvent? Event { get; set; }

#### Property Value

DeviceEvent

### Key

    public string? Key { get; set; }

#### Property Value

string

### MacAddr

    public string? MacAddr { get; set; }

#### Property Value

string

### Name

    public string? Name { get; set; }

#### Property Value

string

### PointOfCareIds

    public List<ObjectId>? PointOfCareIds { get; set; }

#### Property Value

List<ObjectId>

### Ready

    public bool Ready { get; set; }

#### Property Value

bool

### SerialNumber

    public string? SerialNumber { get; set; }

#### Property Value

string

### Settings

    public DeviceSettings? Settings { get; set; }

#### Property Value

DeviceSettings

### UpdatedAt

    public DateTime UpdatedAt { get; set; }

#### Property Value

DateTime

### Uuid

    public string? Uuid { get; set; }

#### Property Value

string